it.reply.healty.innovapuglia.mstaccuino.spring

## Class QuartzJobFactory

- java.lang.Object
- - org.springframework.scheduling.quartz.AdaptableJobFactory
  - - org.springframework.scheduling.quartz.SpringBeanJobFactory
    - - it.reply.healty.innovapuglia.mstaccuino.spring.QuartzJobFactory

- All Implemented Interfaces:
    org.quartz.spi.JobFactory, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware, org.springframework.scheduling.quartz.SchedulerContextAware

      public class QuartzJobFactory
      extends org.springframework.scheduling.quartz.SpringBeanJobFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuartzJobFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `createJobInstance(org.quartz.spi.TriggerFiredBundle bundle)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext context)`

    - ### Methods inherited from class org.springframework.scheduling.quartz.SpringBeanJobFactory

      `isEligibleForPropertyPopulation, setIgnoredUnknownProperties, setSchedulerContext`

    - ### Methods inherited from class org.springframework.scheduling.quartz.AdaptableJobFactory

      `adaptJob, newJob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuartzJobFactory

          public QuartzJobFactory()

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext context)

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Overrides:
        `setApplicationContext` in class `org.springframework.scheduling.quartz.SpringBeanJobFactory`

    - #### createJobInstance

          protected Object createJobInstance(org.quartz.spi.TriggerFiredBundle bundle)
                                      throws Exception

      Overrides:
        `createJobInstance` in class `org.springframework.scheduling.quartz.SpringBeanJobFactory`
      Throws:
        `Exception`

Copyright © 2024. All rights reserved.